| Home | Libraries | People | FAQ | More

## Function template make_iterator_range

boost::algorithm::make_iterator_range — iterator_range construct helper

## Synopsis

    template<typename IteratorT>
      iterator_range< IteratorT >
      make_iterator_range(const std::pair< IteratorT, IteratorT > & Pair);

## Description

Construct an `iterator_range` from a `std::pair<>` containing the begin and end iterators.

Parameters

Pair

  A `std::pair<>` with begin and end iterators

Returns: `iterator_range` object

| Copyright © 2002-2004 Pavol Droba